<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Fri Jun 23 14:18:04 CEST 2023 -->
<title>FenetreEncherir</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2023-06-23">
<meta name="description" content="declaration: package: vues, class: FenetreEncherir">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.6.0.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var evenRowColor = "even-row-color";
var oddRowColor = "odd-row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../index-all.html">Index</a></li>
<li><a href="../help-doc.html#class">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field-summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor-summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor-detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">vues</a></div>
<h1 title="Class FenetreEncherir" class="title">Class FenetreEncherir</h1>
</div>
<div class="inheritance" title="Inheritance Tree"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">java.lang.Object</a>
<div class="inheritance">javafx.scene.Node
<div class="inheritance">javafx.scene.Parent
<div class="inheritance">javafx.scene.layout.Region
<div class="inheritance">javafx.scene.layout.Pane
<div class="inheritance">javafx.scene.layout.StackPane
<div class="inheritance">vues.FenetreEncherir</div>
</div>
</div>
</div>
</div>
</div>
</div>
<section class="class-description" id="class-description">
<dl class="notes">
<dt>All Implemented Interfaces:</dt>
<dd><code>javafx.css.Styleable</code>, <code>javafx.event.EventTarget</code></dd>
</dl>
<hr>
<div class="type-signature"><span class="modifiers">public class </span><span class="element-name type-name-label">FenetreEncherir</span>
<span class="extends-implements">extends javafx.scene.layout.StackPane</span></div>
<div class="block">Cette classe représente une fenêtre pour enchérir sur une vente aux enchères.
 Elle hérite de la classe StackPane.</div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- =========== PROPERTY SUMMARY =========== -->
<li>
<section class="property-summary" id="property-summary">
<h2>Property Summary</h2>
<div class="inherited-list">
<h3 id="properties-inherited-from-class-javafx.scene.layout.StackPane">Properties inherited from class&nbsp;javafx.scene.layout.StackPane</h3>
<code>alignment</code></div>
<div class="inherited-list">
<h3 id="properties-inherited-from-class-javafx.scene.layout.Region">Properties inherited from class&nbsp;javafx.scene.layout.Region</h3>
<code>background, border, cacheShape, centerShape, height, insets, maxHeight, maxWidth, minHeight, minWidth, opaqueInsets, padding, prefHeight, prefWidth, scaleShape, shape, snapToPixel, width</code></div>
<div class="inherited-list">
<h3 id="properties-inherited-from-class-javafx.scene.Parent">Properties inherited from class&nbsp;javafx.scene.Parent</h3>
<code>needsLayout</code></div>
<div class="inherited-list">
<h3 id="properties-inherited-from-class-javafx.scene.Node">Properties inherited from class&nbsp;javafx.scene.Node</h3>
<code>accessibleHelp, accessibleRoleDescription, accessibleRole, accessibleText, blendMode, boundsInLocal, boundsInParent, cacheHint, cache, clip, cursor, depthTest, disabled, disable, effectiveNodeOrientation, effect, eventDispatcher, focused, focusTraversable, hover, id, inputMethodRequests, layoutBounds, layoutX, layoutY, localToParentTransform, localToSceneTransform, managed, mouseTransparent, nodeOrientation, onContextMenuRequested, onDragDetected, onDragDone, onDragDropped, onDragEntered, onDragExited, onDragOver, onInputMethodTextChanged, onKeyPressed, onKeyReleased, onKeyTyped, onMouseClicked, onMouseDragEntered, onMouseDragExited, onMouseDragged, onMouseDragOver, onMouseDragReleased, onMouseEntered, onMouseExited, onMouseMoved, onMousePressed, onMouseReleased, onRotate, onRotationFinished, onRotationStarted, onScrollFinished, onScroll, onScrollStarted, onSwipeDown, onSwipeLeft, onSwipeRight, onSwipeUp, onTouchMoved, onTouchPressed, onTouchReleased, onTouchStationary, onZoomFinished, onZoom, onZoomStarted, opacity, parent, pickOnBounds, pressed, rotate, rotationAxis, scaleX, scaleY, scaleZ, scene, style, translateX, translateY, translateZ, viewOrder, visible</code></div>
</section>
</li>
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field-summary">
<h2>Field Summary</h2>
<div class="inherited-list">
<h3 id="fields-inherited-from-class-javafx.scene.layout.Region">Fields inherited from class&nbsp;javafx.scene.layout.Region</h3>
<code>USE_COMPUTED_SIZE, USE_PREF_SIZE</code></div>
<div class="inherited-list">
<h3 id="fields-inherited-from-class-javafx.scene.Node">Fields inherited from class&nbsp;javafx.scene.Node</h3>
<code>BASELINE_OFFSET_SAME_AS_HEIGHT</code></div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor-summary">
<h2>Constructor Summary</h2>
<div class="caption"><span>Constructors</span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Constructor</div>
<div class="table-header col-last">Description</div>
<div class="col-constructor-name even-row-color"><code><a href="#%3Cinit%3E(modeles.Message,javafx.scene.layout.BorderPane,javafx.scene.layout.BorderPane,javafx.scene.layout.BorderPane,modeles.BaseDeDonnee,vues.ApplicationVAE,modeles.Utilisateur,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,javafx.scene.layout.BorderPane,javafx.scene.control.Label,javafx.scene.control.Label,javafx.scene.control.Label,javafx.scene.control.Label,javafx.scene.control.Label,javafx.scene.control.Label,javafx.scene.control.Label,javafx.scene.control.Label,javafx.scene.control.Label,javafx.scene.control.Button,javafx.scene.control.Button,javafx.scene.control.Button,javafx.scene.control.Button,javafx.scene.control.Button,javafx.scene.control.Button,javafx.scene.control.Button,javafx.scene.control.Button,javafx.scene.control.Button,javafx.scene.control.Button,javafx.scene.control.Button)" class="member-name-link">FenetreEncherir</a><wbr>(<a href="../modeles/Message.html" title="class in modeles">Message</a>&nbsp;messageModele,
 javafx.scene.layout.BorderPane&nbsp;bpPage,
 javafx.scene.layout.BorderPane&nbsp;rootTop,
 javafx.scene.layout.BorderPane&nbsp;rootLeft,
 <a href="../modeles/BaseDeDonnee.html" title="class in modeles">BaseDeDonnee</a>&nbsp;bd,
 <a href="ApplicationVAE.html" title="class in vues">ApplicationVAE</a>&nbsp;appli,
 <a href="../modeles/Utilisateur.html" title="class in modeles">Utilisateur</a>&nbsp;userModele,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;idVente,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;nomObjet,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;prixBase,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;prixMini,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;vendeur,
 javafx.scene.layout.BorderPane&nbsp;borderMenuOption,
 javafx.scene.control.Label&nbsp;textMenu,
 javafx.scene.control.Label&nbsp;textPageAccueil,
 javafx.scene.control.Label&nbsp;textVendreUnProduit,
 javafx.scene.control.Label&nbsp;textVenteAuxEncheres,
 javafx.scene.control.Label&nbsp;textMessagerie,
 javafx.scene.control.Label&nbsp;textMonPanier,
 javafx.scene.control.Label&nbsp;textInformations,
 javafx.scene.control.Label&nbsp;textSetting,
 javafx.scene.control.Label&nbsp;textQuitter,
 javafx.scene.control.Button&nbsp;quitter,
 javafx.scene.control.Button&nbsp;deconnexion,
 javafx.scene.control.Button&nbsp;menu,
 javafx.scene.control.Button&nbsp;acceuil,
 javafx.scene.control.Button&nbsp;message,
 javafx.scene.control.Button&nbsp;info,
 javafx.scene.control.Button&nbsp;setting,
 javafx.scene.control.Button&nbsp;profil,
 javafx.scene.control.Button&nbsp;enchere,
 javafx.scene.control.Button&nbsp;panier,
 javafx.scene.control.Button&nbsp;ajouterEnchere)</code></div>
<div class="col-last even-row-color">
<div class="block">Constructeur de la classe FenetreEncherir.</div>
</div>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method-summary">
<h2>Method Summary</h2>
<div id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="method-summary-table-tab0" role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table', 3)" class="active-table-tab">All Methods</button><button id="method-summary-table-tab2" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab2', 3)" class="table-tab">Instance Methods</button><button id="method-summary-table-tab4" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab4', 3)" class="table-tab">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<div class="summary-table three-column-summary" aria-labelledby="method-summary-table-tab0">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getDateDebut()" class="member-name-link">getDateDebut</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Integer.html" title="class or interface in java.lang" class="external-link">Integer</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getMontantOffre()" class="member-name-link">getMontantOffre</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Integer.html" title="class or interface in java.lang" class="external-link">Integer</a></code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getPrixActuel()" class="member-name-link">getPrixActuel</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getTextAreaMessage()" class="member-name-link">getTextAreaMessage</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
</div>
</div>
</div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-javafx.scene.layout.StackPane">Methods inherited from class&nbsp;javafx.scene.layout.StackPane</h3>
<code>alignmentProperty, clearConstraints, computeMinHeight, computeMinWidth, computePrefHeight, computePrefWidth, getAlignment, getAlignment, getClassCssMetaData, getContentBias, getCssMetaData, getMargin, layoutChildren, requestLayout, setAlignment, setAlignment, setMargin</code></div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-javafx.scene.layout.Pane">Methods inherited from class&nbsp;javafx.scene.layout.Pane</h3>
<code>getChildren</code></div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-javafx.scene.layout.Region">Methods inherited from class&nbsp;javafx.scene.layout.Region</h3>
<code>backgroundProperty, borderProperty, cacheShapeProperty, centerShapeProperty, computeMaxHeight, computeMaxWidth, getBackground, getBorder, getHeight, getInsets, getMaxHeight, getMaxWidth, getMinHeight, getMinWidth, getOpaqueInsets, getPadding, getPrefHeight, getPrefWidth, getShape, getUserAgentStylesheet, getWidth, heightProperty, insetsProperty, isCacheShape, isCenterShape, isResizable, isScaleShape, isSnapToPixel, layoutInArea, layoutInArea, layoutInArea, layoutInArea, maxHeight, maxHeightProperty, maxWidth, maxWidthProperty, minHeight, minHeightProperty, minWidth, minWidthProperty, opaqueInsetsProperty, paddingProperty, positionInArea, positionInArea, prefHeight, prefHeightProperty, prefWidth, prefWidthProperty, resize, scaleShapeProperty, setBackground, setBorder, setCacheShape, setCenterShape, setHeight, setMaxHeight, setMaxSize, setMaxWidth, setMinHeight, setMinSize, setMinWidth, setOpaqueInsets, setPadding, setPrefHeight, setPrefSize, setPrefWidth, setScaleShape, setShape, setSnapToPixel, setWidth, shapeProperty, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, snapToPixelProperty, widthProperty</code></div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-javafx.scene.Parent">Methods inherited from class&nbsp;javafx.scene.Parent</h3>
<code>getBaselineOffset, getChildrenUnmodifiable, getManagedChildren, getStylesheets, isNeedsLayout, layout, lookup, needsLayoutProperty, queryAccessibleAttribute, requestParentLayout, setNeedsLayout, updateBounds</code></div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-javafx.scene.Node">Methods inherited from class&nbsp;javafx.scene.Node</h3>
<code>accessibleHelpProperty, accessibleRoleDescriptionProperty, accessibleRoleProperty, accessibleTextProperty, addEventFilter, addEventHandler, applyCss, autosize, blendModeProperty, boundsInLocalProperty, boundsInParentProperty, buildEventDispatchChain, cacheHintProperty, cacheProperty, clipProperty, computeAreaInScreen, contains, contains, cursorProperty, depthTestProperty, disabledProperty, disableProperty, effectiveNodeOrientationProperty, effectProperty, eventDispatcherProperty, executeAccessibleAction, fireEvent, focusedProperty, focusTraversableProperty, getAccessibleHelp, getAccessibleRole, getAccessibleRoleDescription, getAccessibleText, getBlendMode, getBoundsInLocal, getBoundsInParent, getCacheHint, getClip, getCursor, getDepthTest, getEffect, getEffectiveNodeOrientation, getEventDispatcher, getId, getInitialCursor, getInitialFocusTraversable, getInputMethodRequests, getLayoutBounds, getLayoutX, getLayoutY, getLocalToParentTransform, getLocalToSceneTransform, getNodeOrientation, getOnContextMenuRequested, getOnDragDetected, getOnDragDone, getOnDragDropped, getOnDragEntered, getOnDragExited, getOnDragOver, getOnInputMethodTextChanged, getOnKeyPressed, getOnKeyReleased, getOnKeyTyped, getOnMouseClicked, getOnMouseDragEntered, getOnMouseDragExited, getOnMouseDragged, getOnMouseDragOver, getOnMouseDragReleased, getOnMouseEntered, getOnMouseExited, getOnMouseMoved, getOnMousePressed, getOnMouseReleased, getOnRotate, getOnRotationFinished, getOnRotationStarted, getOnScroll, getOnScrollFinished, getOnScrollStarted, getOnSwipeDown, getOnSwipeLeft, getOnSwipeRight, getOnSwipeUp, getOnTouchMoved, getOnTouchPressed, getOnTouchReleased, getOnTouchStationary, getOnZoom, getOnZoomFinished, getOnZoomStarted, getOpacity, getParent, getProperties, getPseudoClassStates, getRotate, getRotationAxis, getScaleX, getScaleY, getScaleZ, getScene, getStyle, getStyleableParent, getStyleClass, getTransforms, getTranslateX, getTranslateY, getTranslateZ, getTypeSelector, getUserData, getViewOrder, hasProperties, hoverProperty, idProperty, inputMethodRequestsProperty, intersects, intersects, isCache, isDisable, isDisabled, isFocused, isFocusTraversable, isHover, isManaged, isMouseTransparent, isPickOnBounds, isPressed, isVisible, layoutBoundsProperty, layoutXProperty, layoutYProperty, localToParent, localToParent, localToParent, localToParent, localToParent, localToParentTransformProperty, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToSceneTransformProperty, localToScreen, localToScreen, localToScreen, localToScreen, localToScreen, lookupAll, managedProperty, mouseTransparentProperty, nodeOrientationProperty, notifyAccessibleAttributeChanged, onContextMenuRequestedProperty, onDragDetectedProperty, onDragDoneProperty, onDragDroppedProperty, onDragEnteredProperty, onDragExitedProperty, onDragOverProperty, onInputMethodTextChangedProperty, onKeyPressedProperty, onKeyReleasedProperty, onKeyTypedProperty, onMouseClickedProperty, onMouseDragEnteredProperty, onMouseDragExitedProperty, onMouseDraggedProperty, onMouseDragOverProperty, onMouseDragReleasedProperty, onMouseEnteredProperty, onMouseExitedProperty, onMouseMovedProperty, onMousePressedProperty, onMouseReleasedProperty, onRotateProperty, onRotationFinishedProperty, onRotationStartedProperty, onScrollFinishedProperty, onScrollProperty, onScrollStartedProperty, onSwipeDownProperty, onSwipeLeftProperty, onSwipeRightProperty, onSwipeUpProperty, onTouchMovedProperty, onTouchPressedProperty, onTouchReleasedProperty, onTouchStationaryProperty, onZoomFinishedProperty, onZoomProperty, onZoomStartedProperty, opacityProperty, parentProperty, parentToLocal, parentToLocal, parentToLocal, parentToLocal, parentToLocal, pickOnBoundsProperty, pressedProperty, pseudoClassStateChanged, relocate, removeEventFilter, removeEventHandler, requestFocus, resizeRelocate, rotateProperty, rotationAxisProperty, scaleXProperty, scaleYProperty, scaleZProperty, sceneProperty, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, screenToLocal, screenToLocal, screenToLocal, setAccessibleHelp, setAccessibleRole, setAccessibleRoleDescription, setAccessibleText, setBlendMode, setCache, setCacheHint, setClip, setCursor, setDepthTest, setDisable, setDisabled, setEffect, setEventDispatcher, setEventHandler, setFocused, setFocusTraversable, setHover, setId, setInputMethodRequests, setLayoutX, setLayoutY, setManaged, setMouseTransparent, setNodeOrientation, setOnContextMenuRequested, setOnDragDetected, setOnDragDone, setOnDragDropped, setOnDragEntered, setOnDragExited, setOnDragOver, setOnInputMethodTextChanged, setOnKeyPressed, setOnKeyReleased, setOnKeyTyped, setOnMouseClicked, setOnMouseDragEntered, setOnMouseDragExited, setOnMouseDragged, setOnMouseDragOver, setOnMouseDragReleased, setOnMouseEntered, setOnMouseExited, setOnMouseMoved, setOnMousePressed, setOnMouseReleased, setOnRotate, setOnRotationFinished, setOnRotationStarted, setOnScroll, setOnScrollFinished, setOnScrollStarted, setOnSwipeDown, setOnSwipeLeft, setOnSwipeRight, setOnSwipeUp, setOnTouchMoved, setOnTouchPressed, setOnTouchReleased, setOnTouchStationary, setOnZoom, setOnZoomFinished, setOnZoomStarted, setOpacity, setPickOnBounds, setPressed, setRotate, setRotationAxis, setScaleX, setScaleY, setScaleZ, setStyle, setTranslateX, setTranslateY, setTranslateZ, setUserData, setViewOrder, setVisible, snapshot, snapshot, startDragAndDrop, startFullDrag, styleProperty, toBack, toFront, toString, translateXProperty, translateYProperty, translateZProperty, usesMirroring, viewOrderProperty, visibleProperty</code></div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-java.lang.Object">Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></h3>
<code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#clone()" title="class or interface in java.lang" class="external-link">clone</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang" class="external-link">equals</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#finalize()" title="class or interface in java.lang" class="external-link">finalize</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#getClass()" title="class or interface in java.lang" class="external-link">getClass</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#hashCode()" title="class or interface in java.lang" class="external-link">hashCode</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#notify()" title="class or interface in java.lang" class="external-link">notify</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#notifyAll()" title="class or interface in java.lang" class="external-link">notifyAll</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait()" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait(long)" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait(long,int)" title="class or interface in java.lang" class="external-link">wait</a></code></div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-javafx.css.Styleable">Methods inherited from interface&nbsp;javafx.css.Styleable</h3>
<code>getStyleableNode</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor-detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(modeles.Message,javafx.scene.layout.BorderPane,javafx.scene.layout.BorderPane,javafx.scene.layout.BorderPane,modeles.BaseDeDonnee,vues.ApplicationVAE,modeles.Utilisateur,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,javafx.scene.layout.BorderPane,javafx.scene.control.Label,javafx.scene.control.Label,javafx.scene.control.Label,javafx.scene.control.Label,javafx.scene.control.Label,javafx.scene.control.Label,javafx.scene.control.Label,javafx.scene.control.Label,javafx.scene.control.Label,javafx.scene.control.Button,javafx.scene.control.Button,javafx.scene.control.Button,javafx.scene.control.Button,javafx.scene.control.Button,javafx.scene.control.Button,javafx.scene.control.Button,javafx.scene.control.Button,javafx.scene.control.Button,javafx.scene.control.Button,javafx.scene.control.Button)">
<h3>FenetreEncherir</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="element-name">FenetreEncherir</span><wbr><span class="parameters">(<a href="../modeles/Message.html" title="class in modeles">Message</a>&nbsp;messageModele,
 javafx.scene.layout.BorderPane&nbsp;bpPage,
 javafx.scene.layout.BorderPane&nbsp;rootTop,
 javafx.scene.layout.BorderPane&nbsp;rootLeft,
 <a href="../modeles/BaseDeDonnee.html" title="class in modeles">BaseDeDonnee</a>&nbsp;bd,
 <a href="ApplicationVAE.html" title="class in vues">ApplicationVAE</a>&nbsp;appli,
 <a href="../modeles/Utilisateur.html" title="class in modeles">Utilisateur</a>&nbsp;userModele,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;idVente,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;nomObjet,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;prixBase,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;prixMini,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;vendeur,
 javafx.scene.layout.BorderPane&nbsp;borderMenuOption,
 javafx.scene.control.Label&nbsp;textMenu,
 javafx.scene.control.Label&nbsp;textPageAccueil,
 javafx.scene.control.Label&nbsp;textVendreUnProduit,
 javafx.scene.control.Label&nbsp;textVenteAuxEncheres,
 javafx.scene.control.Label&nbsp;textMessagerie,
 javafx.scene.control.Label&nbsp;textMonPanier,
 javafx.scene.control.Label&nbsp;textInformations,
 javafx.scene.control.Label&nbsp;textSetting,
 javafx.scene.control.Label&nbsp;textQuitter,
 javafx.scene.control.Button&nbsp;quitter,
 javafx.scene.control.Button&nbsp;deconnexion,
 javafx.scene.control.Button&nbsp;menu,
 javafx.scene.control.Button&nbsp;acceuil,
 javafx.scene.control.Button&nbsp;message,
 javafx.scene.control.Button&nbsp;info,
 javafx.scene.control.Button&nbsp;setting,
 javafx.scene.control.Button&nbsp;profil,
 javafx.scene.control.Button&nbsp;enchere,
 javafx.scene.control.Button&nbsp;panier,
 javafx.scene.control.Button&nbsp;ajouterEnchere)</span>
                throws <span class="exceptions"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.sql/java/sql/SQLException.html" title="class or interface in java.sql" class="external-link">SQLException</a>,
<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/NumberFormatException.html" title="class or interface in java.lang" class="external-link">NumberFormatException</a>,
<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/ClassNotFoundException.html" title="class or interface in java.lang" class="external-link">ClassNotFoundException</a></span></div>
<div class="block">Constructeur de la classe FenetreEncherir.
 Crée une fenêtre d'enchères pour l'objet spécifié.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>messageModele</code> - Le message du modèle utilisé.</dd>
<dd><code>bpPage</code> - Le BorderPane de la page principale.</dd>
<dd><code>rootTop</code> - Le BorderPane de la partie supérieure de la page.</dd>
<dd><code>rootLeft</code> - Le BorderPane de la partie gauche de la page.</dd>
<dd><code>bd</code> - La base de données utilisée.</dd>
<dd><code>appli</code> - L'application principale.</dd>
<dd><code>userModele</code> - L'utilisateur du modèle.</dd>
<dd><code>idVente</code> - L'identifiant de la vente.</dd>
<dd><code>nomObjet</code> - Le nom de l'objet en vente.</dd>
<dd><code>prixBase</code> - Le prix de départ de la vente.</dd>
<dd><code>prixMini</code> - Le prix minimum pour enchérir.</dd>
<dd><code>vendeur</code> - Le vendeur de l'objet en vente.</dd>
<dd><code>borderMenuOption</code> - Le BorderPane du menu d'options.</dd>
<dd><code>textMenu</code> - Le Label du texte du menu.</dd>
<dd><code>textPageAccueil</code> - Le Label du texte de la page d'accueil.</dd>
<dd><code>textVendreUnProduit</code> - Le Label du texte "Vendre un produit".</dd>
<dd><code>textVenteAuxEncheres</code> - Le Label du texte "Vente aux enchères".</dd>
<dd><code>textMessagerie</code> - Le Label du texte de la messagerie.</dd>
<dd><code>textMonPanier</code> - Le Label du texte du panier.</dd>
<dd><code>textInformations</code> - Le Label du texte des informations.</dd>
<dd><code>textSetting</code> - Le Label du texte des paramètres.</dd>
<dd><code>textQuitter</code> - Le Label du texte "Quitter".</dd>
<dd><code>quitter</code> - Le bouton "Quitter".</dd>
<dd><code>deconnexion</code> - Le bouton de déconnexion.</dd>
<dd><code>menu</code> - Le bouton du menu.</dd>
<dd><code>acceuil</code> - Le bouton de retour à l'accueil.</dd>
<dd><code>message</code> - Le bouton de la messagerie.</dd>
<dd><code>info</code> - Le bouton des informations.</dd>
<dd><code>setting</code> - Le bouton des paramètres.</dd>
<dd><code>profil</code> - Le bouton du profil.</dd>
<dd><code>enchere</code> - Le bouton des enchères.</dd>
<dd><code>panier</code> - Le bouton du panier.</dd>
<dd><code>ajouterEnchere</code> - Le bouton pour ajouter une enchère.</dd>
<dt>Throws:</dt>
<dd><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.sql/java/sql/SQLException.html" title="class or interface in java.sql" class="external-link">SQLException</a></code> - Si une erreur se produit lors de l'accès à la base de données.</dd>
<dd><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/NumberFormatException.html" title="class or interface in java.lang" class="external-link">NumberFormatException</a></code> - Si une erreur se produit lors de la conversion d'une chaîne en nombre.</dd>
<dd><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/ClassNotFoundException.html" title="class or interface in java.lang" class="external-link">ClassNotFoundException</a></code> - Si la classe spécifiée n'est pas trouvée lors du chargement.</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method-detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="getDateDebut()">
<h3>getDateDebut</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></span>&nbsp;<span class="element-name">getDateDebut</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getMontantOffre()">
<h3>getMontantOffre</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Integer.html" title="class or interface in java.lang" class="external-link">Integer</a></span>&nbsp;<span class="element-name">getMontantOffre</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getPrixActuel()">
<h3>getPrixActuel</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Integer.html" title="class or interface in java.lang" class="external-link">Integer</a></span>&nbsp;<span class="element-name">getPrixActuel</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getTextAreaMessage()">
<h3>getTextAreaMessage</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></span>&nbsp;<span class="element-name">getTextAreaMessage</span>()</div>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
</div>
</div>
</body>
</html>
